Summary: A dynamic geometry application
Name: euclide
Version: 0.6.6
Release: %mkrel 8
License: LGPLv2
Group: Sciences/Mathematics
URL: http://sourceforge.net/projects/jeuclide/
BuildArchitectures: noarch
Requires: jre >= 1.6.0
Source0: http://sourceforge.net/projects/jeuclide/files/Euclide/Euclide-%{version}/Euclide-%{version}.zip
Source1: %{name}
Source2: %{name}.png
Source3: %{name}.desktop
AutoReqProv: no

%description
Euclide is a dynamic geometry application written in Java.
It allows creation of geometric shapes (lines, points, circles, conics...)
and transforms (rotation, symmetry...), which depend each other.
Moving a shape will also move shapes dependent on it.

%prep
%setup -q -n Euclide-%{version}
rm -rf ./log

%build
#nothing
 
%install
mkdir -p %{buildroot}/%{_javadir}/%{name}
cp -af lib %{buildroot}/%{_javadir}/%{name}
cp -af *.jar %{buildroot}/%{_javadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/applications
cp -f %{SOURCE3} %{buildroot}/%{_datadir}/applications
##Seems works without logs now
#ln -s /var/log/%{name} %{buildroot}%{_javadir}/%{name}/logs

#%post
#if [ ! -d "/var/log/%{name}" ]
#then
#  mkdir -p /var/log/%{name}
#  chmod 777 /var/log/%{name}
#fi

%files
%doc changeslog.txt readme.txt
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.6.6-8.mga8
+ Revision: 1489601
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.6.6-7.mga7
+ Revision: 1260946
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.6.6-6.mga6
+ Revision: 951672
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 alexl <alexl> 0.6.6-5.mga5
+ Revision: 808789
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.6.6-4.mga5
+ Revision: 749800
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.6-3.mga5
+ Revision: 679044
- Mageia 5 Mass Rebuild

* Sun Apr 13 2014 alexl <alexl> 0.6.6-2.mga5
+ Revision: 613812
- used javadir instead of datadir (policy)

* Thu Apr 10 2014 alexl <alexl> 0.6.6-1.mga5
+ Revision: 613290
- imported package euclide

